NXOpen .NET Reference  12.0.0
NXOpen.Layout2d.CreateComponentFrom3DBuilder Member List

This is the complete list of members for NXOpen.Layout2d.CreateComponentFrom3DBuilder, including all inherited members.

AlternatePlane()NXOpen.Display.DynamicSectionBuilder
BoxExtentDelayUpdateNXOpen.Display.DynamicSectionBuilder
BoxExtentMarginNXOpen.Display.DynamicSectionBuilder
BoxExtentObjectsNXOpen.Display.DynamicSectionBuilder
BoxExtentSupportedNXOpen.Display.DynamicSectionBuilder
CapColorNXOpen.Display.DynamicSectionBuilder
CapColorOptionNXOpen.Display.DynamicSectionBuilder
ClipTypeNXOpen.Display.DynamicSectionBuilder
Commit()NXOpen.Builder
ComponentNameNXOpen.Layout2d.CreateComponentFrom3DBuilder
CreateDatumPlane()NXOpen.Display.DynamicSectionBuilder
CreateMethod enum nameNXOpen.Layout2d.CreateComponentFrom3DBuilder
CsysTypeNXOpen.Display.DynamicSectionBuilder
CurveColorNXOpen.Display.DynamicSectionBuilder
CurveColorOptionNXOpen.Display.DynamicSectionBuilder
DefaultPlaneAxisNXOpen.Display.DynamicSectionBuilder
DeferCurveUpdateNXOpen.Display.DynamicSectionBuilder
Destroy()NXOpen.Builder
EditView(NXOpen.ModelingView view)NXOpen.Display.DynamicSectionBuilder
GetActivePlane(out NXOpen.Display.DynamicSectionTypes.Axis planeAxis, out NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)NXOpen.Display.DynamicSectionBuilder
GetAllPlanesGeometry(out NXOpen.Point3d[] planeOrigins, out NXOpen.Matrix3x3[] planeMetrices)NXOpen.Display.DynamicSectionBuilder
GetBoundingBox(out NXOpen.Point3d minCornerPt, out NXOpen.Point3d maxCornerPt)NXOpen.Display.DynamicSectionBuilder
GetCommittedObjects()NXOpen.Builder
GetGridSettings()NXOpen.Display.DynamicSectionBuilder
GetName()NXOpen.Display.DynamicSectionBuilder
GetNormal()NXOpen.Display.DynamicSectionBuilder
GetObject()NXOpen.Builder
GetOffset()NXOpen.Display.DynamicSectionBuilder
GetOffsetLimits(out double minimumOffset, out double maximumOffset)NXOpen.Display.DynamicSectionBuilder
GetOrigin()NXOpen.Display.DynamicSectionBuilder
GetPlaneGeometry(NXOpen.Display.DynamicSectionTypes.Axis axisType, NXOpen.Display.DynamicSectionTypes.ActivePlane planeType, out NXOpen.Point3d origin, out NXOpen.Matrix3x3 matrix)NXOpen.Display.DynamicSectionBuilder
GetPlaneThickness()NXOpen.Display.DynamicSectionBuilder
GetProjectionPlane(out NXOpen.Point3d origin, out NXOpen.Matrix3x3 orientation)NXOpen.Layout2d.CreateComponentFrom3DBuilder
GetRotationAngle(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis)NXOpen.Display.DynamicSectionBuilder
GetRotationMatrix()NXOpen.Display.DynamicSectionBuilder
GetSourcePart()NXOpen.Layout2d.CreateComponentFrom3DBuilder
InterferenceColorNXOpen.Display.DynamicSectionBuilder
IsAssociativitySupported()NXOpen.Display.DynamicSectionBuilder
IsDefaultPlane()NXOpen.Display.DynamicSectionBuilder
LayerSettingsNXOpen.Display.DynamicSectionBuilder
LoadAllIntersecting(out NXOpen.PartLoadStatus loadStatus)NXOpen.Display.DynamicSectionBuilder
LoadNearIntersecting(out NXOpen.PartLoadStatus loadStatus)NXOpen.Display.DynamicSectionBuilder
LockPlanesNXOpen.Display.DynamicSectionBuilder
MethodNXOpen.Layout2d.CreateComponentFrom3DBuilder
NumberInSeriesNXOpen.Display.DynamicSectionBuilder
OffsetOriginInPlane(double xOffset, double yOffset)NXOpen.Display.DynamicSectionBuilder
PlaneX()NXOpen.Display.DynamicSectionBuilder
PlaneY()NXOpen.Display.DynamicSectionBuilder
PlaneZ()NXOpen.Display.DynamicSectionBuilder
RestoreView()NXOpen.Display.DynamicSectionBuilder
ReverseDirection()NXOpen.Display.DynamicSectionBuilder
ReverseSeriesNXOpen.Display.DynamicSectionBuilder
SaveCurves(string groupName)NXOpen.Display.DynamicSectionBuilder
SelectedObjectsNXOpen.Layout2d.CreateComponentFrom3DBuilder
SeriesSpacingNXOpen.Display.DynamicSectionBuilder
SetActivePlane(NXOpen.Display.DynamicSectionTypes.Axis planeAxis, NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)NXOpen.Display.DynamicSectionBuilder
SetAllPlanesGeometry(NXOpen.Point3d[] planeOrigins, NXOpen.Matrix3x3[] planeMetrices)NXOpen.Display.DynamicSectionBuilder
SetAssociativePlane(NXOpen.Plane planeTag)NXOpen.Display.DynamicSectionBuilder
SetBoundingBox(NXOpen.Point3d minCornerPt, NXOpen.Point3d maxCornerPt)NXOpen.Display.DynamicSectionBuilder
SetDefaultPlane()NXOpen.Display.DynamicSectionBuilder
SetDefaults()NXOpen.Display.DynamicSectionBuilder
SetName(string sectionName)NXOpen.Display.DynamicSectionBuilder
SetNormal(NXOpen.Vector3d normal)NXOpen.Display.DynamicSectionBuilder
SetOffset(double offset)NXOpen.Display.DynamicSectionBuilder
SetOffsetByPoint(NXOpen.Point3d point)NXOpen.Display.DynamicSectionBuilder
SetOrigin(NXOpen.Point3d origin)NXOpen.Display.DynamicSectionBuilder
SetPlane(NXOpen.Point3d axisOrigin, NXOpen.Point3d origin, NXOpen.Matrix3x3 rotationMatrix)NXOpen.Display.DynamicSectionBuilder
SetPlaneThickness(double planeThickness)NXOpen.Display.DynamicSectionBuilder
SetProjectionPlane(NXOpen.Point3d origin, NXOpen.Vector3d yAxis, NXOpen.Vector3d zAxis)NXOpen.Layout2d.CreateComponentFrom3DBuilder
SetRotationAngle(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, double angle)NXOpen.Display.DynamicSectionBuilder
SetRotationMatrix(NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, NXOpen.Matrix3x3 rotationMatrix)NXOpen.Display.DynamicSectionBuilder
SetSourcePart(NXOpen.Part part)NXOpen.Layout2d.CreateComponentFrom3DBuilder
SettingsNXOpen.Layout2d.CreateComponentFrom3DBuilder
ShowCapNXOpen.Display.DynamicSectionBuilder
ShowClipNXOpen.Display.DynamicSectionBuilder
ShowCurvePreview(bool showCurvePreview)NXOpen.Display.DynamicSectionBuilder
ShowCurvesNXOpen.Display.DynamicSectionBuilder
ShowGridNXOpen.Display.DynamicSectionBuilder
ShowInterferenceNXOpen.Display.DynamicSectionBuilder
ShowResults()NXOpen.Builder
ShowSectionCurves(bool showCurves)NXOpen.Display.DynamicSectionBuilder
ShowViewerNXOpen.Display.DynamicSectionBuilder
TypeNXOpen.Display.DynamicSectionBuilder
UpdateBoxExtents()NXOpen.Display.DynamicSectionBuilder
Validate()NXOpen.Builder
ViewNXOpen.Display.DynamicSectionBuilder
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.